apiVersion: app.kiegroup.org/v2
kind: KieApp
metadata:
  name: myapp
  namespace: js-debug-4a83
spec:
  auth:
    ldap:
      baseCtxDN: 'ou=people,dc=example,dc=com'
      roleAttributeID: cn
      searchTimeLimit: 10000
      bindDN: 'cn=Manager,dc=example,dc=com'
      baseFilter: '(uid={0})'
      searchScope: SUBTREE_SCOPE
      roleRecursion: 1
      roleFilter: '(member={1})'
      url: 'ldap://ldap-js-debug-4a83:30389'
      rolesCtxDN: 'ou=roles,dc=example,dc=com'
      bindCredential: admin
      loginModule: optional
      defaultRole: guest
  commonConfig:
    adminPassword: usetheforce123@
    adminUser: yoda
    amqClusterPassword: ZGjrVnS8
    amqPassword: vtE9eXjz
    applicationName: myapp
    dbPassword: aIPxii1T
    keyStorePassword: BqA4g7qh
  environment: rhpam-authoring
  objects:
    console:
      env:
        - name: KIE_ADMIN_USER
          value: yoda
        - name: KIE_ADMIN_PWD
          value: usetheforce123@
        - name: HTTPS_NAME
          value: jboss
        - name: HTTPS_PASSWORD
          value: mykeystorepass
      jvm:
        javaInitialMemRatio: 25
        javaMaxMemRatio: 80
      keystoreSecret: kie-app-secret
      replicas: 1
      resources:
        limits:
          cpu: '2'
          memory: 4Gi
        requests:
          cpu: 1500m
          memory: 3Gi
    servers:
      - deployments: 1
        env:
          - name: KIE_ADMIN_USER
            value: yoda
          - name: KIE_ADMIN_PWD
            value: usetheforce123@
          - name: MAVEN_DEPLOYER_REPO_URL
            value: >-
              http://nexus-js-debug-4a83.apps.production.rhba.openshift-psi.rhocf-dev.net:80/nexus/content/repositories/snapshots/
          - name: MAVEN_DEPLOYER_REPO_USERNAME
            value: admin
          - name: MAVEN_DEPLOYER_REPO_PASSWORD
            value: admin123
          - name: EXTERNAL_MAVEN_REPO_URL
            value: >-
              http://nexus-js-debug-4a83.apps.production.rhba.openshift-psi.rhocf-dev.net:80/nexus/content/repositories/snapshots/
          - name: EXTERNAL_MAVEN_REPO_USERNAME
            value: admin
          - name: EXTERNAL_MAVEN_REPO_PASSWORD
            value: admin123
          - name: HTTPS_NAME
            value: jboss
          - name: HTTPS_PASSWORD
            value: mykeystorepass
        jvm:
          javaInitialMemRatio: 25
          javaMaxMemRatio: 80
        keystoreSecret: kie-app-secret
        name: myapp-kieserver
        replicas: 1
        resources:
          limits:
            cpu: '1'
            memory: 2Gi
          requests:
            cpu: 750m
            memory: 1Gi
  upgrades: {}
  useImageTags: true
  version: 7.10.0
